framework:
  dependencies:
    - core/components.startup_education--root
    - startup_education/bootstrap-styles
    - startup_education/bootstrap-scripts
    - startup_education/global-styles
    - startup_education/global-scripts
    - startup_education/bootstrap-icons
    # - startup_education/fontawesome  ## Uncomment to use the fontawesome library.

# Bootstrap 5 global styles library.
bootstrap-styles:
  css:
    base:
      css/base/bootstrap.base.css: {}

# Bootstrap 5 global scripts library.
bootstrap-scripts:
  dependencies:
    - varbase_components/bs-base-component-script
    # - varbase_components/bs-alert-script
    # - varbase_components/bs-button-script
    # - varbase_components/bs-carousel-script
    # - varbase_components/bs-collapse-script
    # - varbase_components/bs-dropdown-script
    - varbase_components/bs-modal-script
    - varbase_components/bs-offcanvas-script
    - varbase_components/bs-popover-script
    - varbase_components/bs-scrollspy-script
    - varbase_components/bs-tab-script
    - varbase_components/bs-toast-script
    - varbase_components/bs-tooltip-script
    - content_moderation/content_moderation

# Popperjs core.
popper-script:
  js:
    js/popperjs/popper.js: {}

# Bootstrap Base component script.
bs-base-component-script:
  dependencies:
    - core/drupalSettings
    - core/drupal
    - core/drupal.ajax
    - core/jquery
    - core/once
    - varbase_components/popper-script
  js:
    js/bootstrap/util/index.js: {}
    js/bootstrap/dom/data.js: {}
    js/bootstrap/dom/event-handler.js: {}
    js/bootstrap/dom/manipulator.js: {}
    js/bootstrap/dom/selector-engine.js: {}
    js/bootstrap/util/config.js: {}
    js/bootstrap/util/component-functions.js: {}
    js/bootstrap/util/backdrop.js: {}
    js/bootstrap/util/focustrap.js: {}
    js/bootstrap/util/scrollbar.js: {}
    js/bootstrap/util/swipe.js: {}
    js/bootstrap/util/sanitizer.js: {}
    js/bootstrap/util/template-factory.js: {}
    js/bootstrap/base-component.js: {}

# Bootstrap alert script.
bs-alert-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/alert.js: {}

# Bootstrap button script.
bs-button-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/button.js: {}

# Bootstrap carousel script.
bs-carousel-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/carousel.js: {}

# Bootstrap collapse script.
bs-collapse-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/collapse.js: {}

# Bootstrap dropdown script.
bs-dropdown-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/dropdown.js: {}

# Bootstrap modal script.
bs-modal-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/modal.js: {}

# Bootstrap offcanvas script.
bs-offcanvas-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/offcanvas.js: {}

# Bootstrap popover script.
bs-popover-script:
  dependencies:
    - varbase_components/bs-tooltip-script
  js:
    js/bootstrap/popover.js: {}

# Bootstrap scrollspy script.
bs-scrollspy-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/scrollspy.js: {}

# Bootstrap tab script.
bs-tab-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/tab.js: {}

# Bootstrap toast script.
bs-toast-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/toast.js: {}

# Bootstrap tooltip script.
bs-tooltip-script:
  dependencies:
    - varbase_components/bs-base-component-script
  js:
    js/bootstrap/tooltip.js: {}

# startup_education global styles library.
global-styles:
  css:
    base:
      css/base/startup_education.base.css: {}
    layout:
      css/layout/edge2edge.layout.css: {}
      css/layout/equal-height.layout.css: {}
      css/layout/print.layout.css: { media: print }
    theme:
      fonts/inter/css/inter.css: {}

# startup_education global scripts library.
global-scripts:
  js:
    js/scripts.js: {}
  dependencies:
    - core/drupalSettings
    - core/drupal
    - core/drupal.ajax
    - core/jquery
    - core/once

framework-rtl:
  dependencies:
    - startup_education/bootstrap-styles-rtl
    - startup_education/bootstrap-scripts
    - startup_education/global-styles-rtl
    - startup_education/global-scripts
    - startup_education/bootstrap-icons
    # - startup_education/fontawesome ## Uncomment to use the fontawesome library.

# Bootstrap 5 global RTL styles library.
bootstrap-styles-rtl:
  css:
    base:
      css/base/bootstrap-rtl.base.css: {}

# startup_education global RTL styles library.
global-styles-rtl:
  css:
    base:
      css/base/startup_education-rtl.base.css: {}
    theme:
      fonts/droid/arabic/kufi/css/droidarabickufi.css: {}

# startup_education content moderation status theme.
content_moderation:
  css:
    theme:
      css/theme/content-moderation.theme.css: {}
      css/theme/style.css: {}
      
# Font Awesome free icons.
fontawesome:
  css:
    theme:
      fonts/fontawesome-free/css/all.min.css: { minified: true }

# Bootstrap free icons.
bootstrap-icons:
  css:
    theme:
      fonts/bootstrap-icons/font/bootstrap-icons.min.css: { minified: true }
